Bug 819064 - yumdownloader loads but ignore yum plugins and --disablerepo option
yumdownloader loads but ignore yum plugins and --disablerepo option
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 13:49 EDT by Pavel Alexeev
Modified: 2016-04-20 08:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-18 04:02:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2012-05-04 13:49:20 EDT
Description of problem:
I have installed yum-fastestmirror plugin and then exclude in its configuration file yandex mirror which is not in sync.
It listed as excluded, but then fail to load from it:
$ yumdownloader --source --disablerepo=russianfedora-free-rawhide-source remmina
Загружены модули: auto-update-debuginfo, fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
Excluding mirror: mirror.yandex.ru
 * fedora: ftp.nluug.nl
 * kde: mirror.unl.edu
 * kde-testing: mirror.unl.edu
Excluding mirror: mirror.yandex.ru
 * rpmfusion-free: mirror.de.leaseweb.net
Excluding mirror: mirror.yandex.ru
 * rpmfusion-free-updates: mirror.de.leaseweb.net
Excluding mirror: mirror.yandex.ru
 * rpmfusion-free-updates-testing: mirror.de.leaseweb.net
Excluding mirror: mirror.yandex.ru
 * rpmfusion-nonfree: mirror.de.leaseweb.net
Excluding mirror: mirror.yandex.ru
 * rpmfusion-nonfree-updates: mirror.de.leaseweb.net
Excluding mirror: mirror.yandex.ru
 * rpmfusion-nonfree-updates-testing: mirror.de.leaseweb.net
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: allotter.yandex.net
Excluding mirror: squire.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: mirror.yandex.ru
 * russianfedora-free-rawhide: ftp.us.unixeria.com
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: allotter.yandex.net
Excluding mirror: squire.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: mirror.yandex.ru
 * russianfedora-free-updates-testing: ftp.us.unixeria.com
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: allotter.yandex.net
Excluding mirror: squire.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: mirror.yandex.ru
 * russianfedora-nonfree-rawhide: ftp.us.unixeria.com
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: allotter.yandex.net
Excluding mirror: squire.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: mirror.yandex.ru
 * russianfedora-nonfree-updates-testing: ftp.us.unixeria.com
Excluding mirror: mirror.yandex.ru
 * updates: www.nic.funet.fi
Excluding mirror: mirror.yandex.ru
 * updates-testing: www.nic.funet.fi
Excluding mirror: mirror.yandex.ru
 * updates-testing-debuginfo: www.nic.funet.fi
Enabling updates-testing-source repository
Enabling russianfedora-free-rawhide-source repository
http://mirror.yandex.ru/fedora/russianfedora/russianfedora/free/fedora/development/rawhide/source/SRPMS/repodata/repomd.xml: [Errno 14] curl#7 - "Couldn't connect"
Пробуем другое зеркало.
failure: repodata/repomd.xml from russianfedora-free-rawhide-source: [Errno 256] No more mirrors to try.

Version-Release number of selected component (if applicable):
$ rpm -qa yum\*
yum-langpacks-0.2.4-3.fc17.noarch
yum-metadata-parser-1.1.4-6.fc17.x86_64
yum-utils-1.1.31-4.fc17.noarch
yum-presto-0.7.3-1.fc17.noarch
yum-plugin-auto-update-debug-info-1.1.31-4.fc17.noarch
yum-plugin-fastestmirror-1.1.31-4.fc17.noarch
yum-3.4.3-23.fc17.noarch

How reproducible:
Always
Comment 1 Zdeněk Pavlas 2012-05-09 03:17:01 EDT
> --disablerepo=russianfedora-free-rawhide-source

The "exclude" option in fastestmirror plugin removes selected mirrors from all enabled repositories (it's not a "global" opt).  russianfedora-free-rawhide-source was disabled so the fastestmirror plugin didn't touch it.

> Enabling russianfedora-free-rawhide-source repository

yumdownloader notices that russianfedora-free-rawhide is enabled, so it enables *-source repo as well.  But the fastestmirror plugin has already run.  Just enable russianfedora-free-rawhide-source from the very beginning, and it should work as expected.
Comment 2 Pavel Alexeev 2012-05-14 04:20:04 EDT
(In reply to comment #1)
> > --disablerepo=russianfedora-free-rawhide-source
> 
> The "exclude" option in fastestmirror plugin removes selected mirrors from all
> enabled repositories (it's not a "global" opt). 
> russianfedora-free-rawhide-source was disabled so the fastestmirror plugin
> didn't touch it.
This was stated as "and". So as you can see despite to "--disablerepo=russianfedora-free-rawhide-source" it was used in package search process.

Disable mirrors concerned to excluding yandex mirrors from all repos.
Fastestmirror plugin report what thay was excluded:
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
...

but than yumdownloader fails from one of it:

Enabling russianfedora-free-rawhide-source repository
http://mirror.yandex.ru/fedora/russianfedora/russianfedora/free/fedora/development/rawhide/source/SRPMS/repodata/repomd.xml:
[Errno 14] curl#7 - "Couldn't connect"
Пробуем другое зеркало.
failure: repodata/repomd.xml from russianfedora-free-rawhide-source: [Errno
256] No more mirrors to try.
Comment 3 Zdeněk Pavlas 2012-05-14 05:37:11 EDT
Yes, source repositories are usually disabled in their .repo files by default, so "--disablerepo=russianfedora-free-rawhide-source" has no effect.

The initialization order is:
1. use "enabled=0|1" from *.repo files
2. process "--{enable|disable}repo" commandline options
3. fastestmirror plugin runs and pings/orders/filters mirrors
4. "*-source" repos get enabled/disabled to match non-source repos
5. source packages are downloaded

If you want to use russianfedora-free-rawhide-source and have fastestmirror plugin to exclude some mirrors from it, use "--enablerepo=russianfedora-free-rawhide-source".

If you don't want to use this source repository, disable the corresponding non-source repo with "--disablerepo=russianfedora-free-rawhide".

> despite to "--disablerepo=russianfedora-free-rawhide-source" it was used in package search process.

See 4)

> concerned to excluding yandex mirrors from all repos.
> Fastestmirror plugin report what thay was excluded:
> Excluding mirror: mirror.yandex.ru
> Excluding mirror: spreader.yandex.net
> ..
>  * russianfedora-free-rawhide: ftp.us.unixeria.com

fastestmirror excludes mirrors from ENABLED repositories only.  The quoted messages just report that mirror.yandex.ru, spreader.yandex.net and some other mirrors were excluded from russianfedora-free-rawhide, and Yum will use ftp.us.unixeria.com as the "best" mirror for this repo.
Comment 4 Pavel Alexeev 2012-05-16 13:09:19 EDT
I think swap 3 and 4 should resolve issue and allow fastestmirror plugin exclude repos there too?
Comment 5 Zdeněk Pavlas 2012-05-18 04:02:12 EDT

*** This bug has been marked as a duplicate of bug 819229 ***
Comment 6 Zdeněk Pavlas 2012-05-18 04:03:46 EDT
Sorry, closed wrong ticket.
Comment 7 Fedora End Of Life 2013-07-04 02:24:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Jan Kurik 2015-07-15 11:09:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.